메인 콘텐츠로 건너뛰기
GET
/
v2
/
webhook
/
endpoint
엔드포인트 - 목록
curl --request GET \
  --url https://api.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
      "url": "https://example.com",
      "channels": [
        "sol.token.migrated"
      ],
      "createdAt": "2021-01-01T00:00:00.000Z",
      "description": "Webhook description",
      "disabled": false,
      "filter": "<string>",
      "filterTypes": [
        "<string>"
      ],
      "metadata": {
        "key": "value"
      },
      "rateLimit": 1000,
      "updatedAt": "2021-01-01T00:00:00.000Z"
    }
  ],
  "done": false,
  "iterator": "eyJpZCI6MTAwfQ==",
  "prevIterator": "eyJpZCI6MTAwfQ=="
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

limit
integer<int64>

페이지당 결과 수

필수 범위: 1 <= x <= 100
iterator
string

페이지네이션 반복자

order
enum<string>

정렬 순서 Ordering direction for paginated endpoint listing

사용 가능한 옵션:
ascending,
descending

응답

200 - application/json

성공 응답

Paginated list of webhook endpoints

data
object[]
필수

페이지네이션된 엔드포인트 목록

done
boolean
필수

페이지네이션 완료 여부

예시:

false

iterator
string | null

현재 페이지 반복자

예시:

"eyJpZCI6MTAwfQ=="

prevIterator
string | null

이전 페이지 반복자

예시:

"eyJpZCI6MTAwfQ=="